export default {
    name: 'BaseManual',
    props: {
        title: {
            type: String
        },
        subtitle: {
            type: String
        },


    },
    data() {
        return {


            instructionsVisible: false,
        };
    },
    methods: {

        adjustScrollbar() {
            const scrollBanner = document.querySelector('.scroll-banner');
            if (scrollBanner) {
                setTimeout(() => {
                    const scrollHeight = scrollBanner.clientHeight;
                    if (scrollHeight < 160) {
                        scrollBanner.classList.add('hide-scrollbar');
                    } else {
                        scrollBanner.classList.remove('hide-scrollbar');
                    }
                }, 0);
            }
        },
        toggleInstructions() {
            this.instructionsVisible = !this.instructionsVisible;
            this.adjustScrollbar();
        },

    }
};